Subject: Re: RealNetwork, MCI, @Home, Icast

From: [email-masked]
Date: Mon, 3 Nov 1997 09:49:32 -0800 (PST)

|> I haven't read the article or seen the direct quote, but I believe what

I have not seen it either, so, forgive me if my comments go astray.
I will note, though, that sometimes things in the press give a 
different impression from what was intended, even if the quotes
are perfectly correct.

|> Jeff's comments are in reference to are "on-demand" viewing.  Mbone does
|> allow rebroadcast (such as Munich IETF rebroadcast for US audiences).
|> However, I can't think of the advantage of using mbone for on-demand
|> content like music clips, unless you can corral several users' requests
|> together into one multicast.  

Of course, you can already do it, and the IMJ channels are not a bad
model of what it might look like.  A fixed number of source channels, 
dynamically scheduled.  You don't get video *on demand*, but, the
result for a large number of viewers and channels is pretty close.

|>           [from above]       This is an old can of worms though, nothing
|> new here.

Agreed.  We seem to revisit this issue every few months.
The only comment I have is very fundamental: if you take 
the reasoning of most "Mbone" criticisms to their logical
conclusion, the internet could not possibly work at all.
The fact that it does work demonstrates a problem somewhere
with the assumptions.

|> At 12:07 AM 11/3/97 -0800, Amancio Hasty wrote:

|> >On page 30 , the article "Stream On" had a few comments on the mbone :
|> >
|> >A few things caught my eye:
|> >
|> >"Jeff Huber, director of server and network products for @home, understands
|> >why RealNetwork is reluctant to use the Mbone. Mr Huber claims that the 
|> >majority of the Mbone traffic at the backbone layer is in fact unicast and,
|> >as a result, is not scalable". 

On the face of it, this is correct.  The Mbone is tunneled.
The reasoning [if that is what Jeff Huber really said] is not.
[But, it is quite possible that the reporter misunderstood, also.]
The scalability comes from the "re-use" of WAN multicast
packets, not from whether or not native multicast or tunnels
are transmitted over the WAN links.  While native multicast 
is the future, for practical reasons [need a finished IDMR, 
need router stability on important interexchange/border routers] 
many ISPs use tunnels on the backbone at the present time.  
However, chances are, he was just trying to say the "The Mbone"
is not a production technology.  Nobody disagrees with that,
but, "The Mbone" != "Multicast".

                                   In addition, he says that the mbone is mainly
|> >the preserve of academics and computer enthusiasts , not a viable 
|> >commercial medium. Jeff Young, an MCI engineer, add that the Mbone also
|> >does not permit users to access recorded content, which is a significant
|> >drawback to consumers. 

I think this is getting to what both MCI and @home are thinking about:
"consumers", that is, people, including network engineers, when they
are watching Monday Night Football, not the same people when they
are reading Web pages about different products and so on.  In other 
words, "What will people pay money, or extra money, for?"  

I have no quarrel with commercial companies looking at such issues.
Soon, there will be virtually zero extra cost associated with 
multicast and then they can stop worrrying about that particular
problem.

|> >The article goes on with lots of politically loaded statements. Like :
|> >
|> >"Vinay Kumar, president and chief technology officer of Icast, ...
|> >suspects that MCI and Progressive goal is to set a propieratory 
|> >multicasting standard"

I can't imagine why an Internet company would ever consider
a proprietary standard.  It would be like someone trying 
to create a phone company from scratch and then tell people
they couldn't call the rest of the world.  The *point*
to the Internet is interoperability.

|> >First , I can't believe that someone from a company like @home can 
|> >claim that the mbone is not scalable and on a minor point I don't

"The existing Mbone is not scalable" is a true statement, 
but, I agree, that fact has no bearing whatsoever on the
future of multicast.  When multicast IDMR exists in the
same way as BGP does today, multicast will be as scalable
as the rest of the internet.  The reason the Mbone is not
scalable is not because it is tunneled, it is because
the current routing will not scale up.  When IDMR is ready,
that problem will be solved.

|> >see why Yeff Young will state that the mbone does not permit 
|> >plackback of recorded events. There are other interesting 
|> >statements and naturally controversial statements on this
|> >article .
|> >
|> >I just have a simple question : Whats going on? 8)
|> >see why Yeff Young will state that the mbone does not permit 
|> >plackback of recorded events. There are other interesting 
|> >statements and naturally controversial statements on this
|> >article .
|> >
|> >I just have a simple question : Whats going on? 8)

It sounds like some of these statements could use a little
clarification.  I would welcome such clarifications in this
list, myself.

-Hugh LaMaster

  Hugh LaMaster, M/S 258-5,     ASCII Email:  [email-masked]
  NASA Ames Research Center     Or:           [email-masked]
  Moffett Field, CA 94035-1000  No Junkmail:  USC 18 section 2701
  Phone:  415/604-1056          Disclaimer:   Unofficial, personal *opinion*.

---

From: [email-masked] (Kevin C. Almeroth)
Date: Mon, 3 Nov 1997 14:04:30 -0500 (EST)

>>If you've ever talked to someone in the press about anything remotely
>>technical and then read the article later, you know how frustrating this
>>can be.  Writers seem to have their own agenda, one they've developed
>>before they even talk to you.  You can hear it in their questions.  They
>>reduce a 30 minute interview into sound bytes that, woven together with
>>their own theme, produce the type of quote you've referenced.  

When I read the summary of the article of the interview of the...
I just laughed...  for a couple of minutes at least.

Anybody who knows Jeff, his objectives, or anything about the MBone
knows there had to be major misquoting going on.

In any case, let's not have this community attacking each other for
reasons that aren't justified.

-Kevin